@import url(reset.css);
@import url(variables.css);
@import url("https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;1,400&display=swap");
body {
  font-family: var(--font-main);
  font-weight: var(--fw-medium);
  font-size: var(--fs-28-18);
  color: var(--color-blue-900);
  line-height: var(--lh-normal);
  background-color: var(--color-grey-50);
  background-image: url("../images/pattern-background-mobile-light.svg");
  background-repeat: no-repeat;
  background-size: contain;
  -webkit-transition: all 0.7s;
  transition: all 0.7s;
}

body.dark-theme {
  color: var(--color-white);
  background-color: var(--color-blue-900);
  background-image: url("../images/pattern-background-mobile-dark.svg");
}
body.dark-theme .progress-bar {
  background-color: var(--color-blue-850);
}
body.dark-theme .btn-submit {
  -webkit-box-shadow: var(--box-shadow-dark);
          box-shadow: var(--box-shadow-dark);
}
body.dark-theme .switch-theme-btn__icon {
  color: var(--color-white);
}
body.dark-theme .switch-theme-btn__toggler::before {
  /* move the inner circle to the right edge (accounting for padding + circle width = 1rem) */
  left: calc(100% - 1rem);
}
body.dark-theme .menu__subtitle {
  color: var(--color-blue-300);
}
body.dark-theme .menu__text {
  color: var(--color-blue-300);
}
body.dark-theme .menu__error-text {
  color: var(--color-grey-50);
}
body.dark-theme .btn-option {
  background-color: var(--color-blue-850);
  -webkit-box-shadow: var(--box-shadow-dark);
          box-shadow: var(--box-shadow-dark);
}
body.dark-theme .achievement__body {
  background-color: var(--color-blue-850);
}
body.dark-theme .achievement__point-text {
  color: var(--color-blue-300);
}

.wrapper {
  min-height: 100vh;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}

.wrapper > main {
  -webkit-box-flex: 1;
      -ms-flex: 1 1 auto;
          flex: 1 1 auto;
}

[class*=__container] {
  max-width: 75.5rem;
  margin: 0 auto;
  padding-inline: 1.5rem;
}

.sr-only {
  position: absolute;
  width: 0.0625rem;
  height: 0.0625rem;
  padding: 0;
  margin: -0.0625rem;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}

/* === Switch Theme Button === */
.switch-theme-btn {
  height: 1.25rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: clamp(0.5rem, 0.023rem + 2.036vw, 1rem); /* min: 8px, max: 16px */
}
.switch-theme-btn__icon {
  display: inline-block;
  font-size: 1.25rem;
  color: var(--color-grey-500);
  -webkit-transition: color 0.4s;
  transition: color 0.4s;
}
.switch-theme-btn__toggler {
  display: inline-block;
  width: 2rem;
  height: 1.25rem;
  border-radius: 999px;
  background-color: var(--color-purple-600);
  padding: 0.25rem;
  position: relative;
}
.switch-theme-btn__toggler::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0.25rem;
  -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
          transform: translateY(-50%);
  width: 0.75rem;
  height: 0.75rem;
  border-radius: 50%;
  background-color: var(--color-white);
  -webkit-transition: left 0.4s, background-color 0.4s, -webkit-transform 0.4s;
  transition: left 0.4s, background-color 0.4s, -webkit-transform 0.4s;
  transition: left 0.4s, transform 0.4s, background-color 0.4s;
  transition: left 0.4s, transform 0.4s, background-color 0.4s, -webkit-transform 0.4s;
}

/* === Section === */
.section {
  padding-bottom: clamp(5.438rem, 4.095rem + 5.728vw, 9.25rem); /* min: 87px, max: 148px */
}

/* === Hide section === */
.hidden {
  display: none !important;
  opacity: 0;
  visibility: hidden;
}

/* === Title-big === */
.title-big {
  font-size: var(--fs-64-40);
}
.title-big span {
  font-weight: var(--fw-light);
}

/* === Title-small === */
.title-small {
  font-size: var(--fs-36-20);
}

/* === Progress-bar === */
.progress-bar {
  position: relative;
  background-color: var(--color-white);
  width: 300px;
  height: 1rem;
  border-radius: 999px;
}
.progress-bar span {
  position: absolute;
  height: 8px;
  top: 50%;
  left: 4px;
  -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
          transform: translateY(-50%);
  background-color: var(--color-purple-600);
  border-radius: 104px;
}

/* === Button Submit === */
.btn-submit {
  width: 100%;
  min-height: 3.5rem;
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  background: var(--color-purple-600);
  -webkit-box-shadow: var(--box-shadow-light);
          box-shadow: var(--box-shadow-light);
  padding: clamp(1rem, 0.046rem + 4.07vw, 2rem);
  border-radius: clamp(0.75rem, 0.034rem + 3.05vw, 1.5rem);
  color: var(--color-white);
  font-weight: var(--fw-medium);
  font-size: var(--fs-28-18);
  line-height: var(--lh-normal);
  text-transform: capitalize;
  position: relative;
}
.btn-submit span {
  position: relative;
  z-index: 1;
}
.btn-submit::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--linear-gradient-color);
  -webkit-box-shadow: 0 16px 40px 0 rgba(143, 160, 193, 0.14);
          box-shadow: 0 16px 40px 0 rgba(143, 160, 193, 0.14);
  border-radius: clamp(0.75rem, 0.034rem + 3.05vw, 1.5rem);
  opacity: 0;
  -webkit-transition: opacity 0.6s ease;
  transition: opacity 0.6s ease;
}
.btn-submit:is(:hover, :focus-visible)::before {
  opacity: 1;
}

/* === Icons === */
.icon {
  width: clamp(2.5rem, 1.546rem + 4.07vw, 3.5rem);
  height: clamp(2.5rem, 1.546rem + 4.07vw, 3.5rem);
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  padding: 10px;
  border-radius: 0.375rem;
  -webkit-transition: all 0.4s;
  transition: all 0.4s;
}
.icon--img {
  background-repeat: no-repeat;
  background-position: center;
}
.icon--img-html {
  background-size: clamp(1.438rem, 0.901rem + 2.29vw, 2rem) clamp(1.063rem, 0.585rem + 2.04vw, 1.563rem);
  background-color: var(--color-orange-50);
  background-image: url("../images/icon-html.svg");
}
.icon--img-css {
  background-size: clamp(1rem, 0.642rem + 1.53vw, 1.375rem) clamp(1.5rem, 0.904rem + 2.54vw, 2.125rem);
  background-color: var(--color-green-100);
  background-image: url("../images/icon-css.svg");
}
.icon--img-js {
  background-size: clamp(1.313rem, 0.776rem + 2.29vw, 1.875rem) clamp(1.313rem, 0.776rem + 2.29vw, 1.875rem);
  background-color: var(--color-blue-50);
  background-image: url("../images/icon-js.svg");
}
.icon--img-access {
  background-size: clamp(1.313rem, 0.835rem + 2.04vw, 1.813rem) clamp(1.563rem, 0.966rem + 2.54vw, 2.188rem);
  background-color: var(--color-purple-100);
  background-image: url("../images/icon-accessibility.svg");
}
.icon--symbol {
  background-color: var(--color-grey-50);
  color: var(--color-grey-500);
  text-transform: uppercase;
}

/* === Logo === */
.logo {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-column-gap: clamp(1rem, 0.523rem + 2.04vw, 1.5rem);
     -moz-column-gap: clamp(1rem, 0.523rem + 2.04vw, 1.5rem);
          column-gap: clamp(1rem, 0.523rem + 2.04vw, 1.5rem);
  -webkit-transition: all 0.4s;
  transition: all 0.4s;
}
/* === Button Option === */
.btn-option {
  padding: clamp(1rem, 0.429rem + 1.19vw, 1.5rem);
  background-color: var(--color-white);
  -webkit-box-shadow: var(--box-shadow-light);
          box-shadow: var(--box-shadow-light);
  width: 100%;
  height: clamp(4.5rem, 3.796rem + 3vw, 6.5rem);
  border-radius: clamp(1rem, 0.523rem + 2.04vw, 1.5rem);
  border: 0.1875rem solid transparent;
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-column-gap: clamp(1rem, 0.046rem + 4.07vw, 2rem);
     -moz-column-gap: clamp(1rem, 0.046rem + 4.07vw, 2rem);
          column-gap: clamp(1rem, 0.046rem + 4.07vw, 2rem);
  -webkit-transition: all 0.4s;
  transition: all 0.4s;
}
.btn-option__icon {
  -webkit-transition: all 0.4s;
  transition: all 0.4s;
}
.btn-option__icon-check {
  margin-left: auto;
  padding-inline: 0.9375rem;
  width: 40px;
  height: 40px;
  background-repeat: no-repeat;
  background-size: cover;
  opacity: 0;
  visibility: hidden;
  -webkit-transition: all 0.4s;
  transition: all 0.4s;
}
.btn-option__icon-check--correct {
  display: none;
  background-image: url("../images/icon-correct.svg");
}
.btn-option__icon-check--wrong {
  display: none;
  background-image: url("../images/icon-incorrect.svg");
}
.btn-option:is(:hover, :focus-visible) {
  border-color: var(--color-purple-600);
}
.btn-option:is(:hover, :focus-visible) .btn-option__icon:not(.btn-option__icon--img) {
  background-color: var(--color-purple-600);
  color: var(--color-white);
}
.btn-option.correct .btn-option__icon-check {
  opacity: 1;
  visibility: visible;
}
.btn-option.correct .btn-option__icon-check--correct {
  display: inline-block;
}
.btn-option.correct.selected {
  border-color: var(--color-green-500);
}
.btn-option.wrong {
  border-color: var(--color-red-500);
}
.btn-option.wrong .btn-option__icon-check {
  opacity: 1;
  visibility: visible;
}
.btn-option.wrong .btn-option__icon-check--wrong {
  display: inline-block;
}

/* === Header === */
.header {
  padding-top: clamp(2.5rem, -0.571rem + 6.399vw, 5.188rem); /* min: 40px, max: 83px */
  padding-bottom: clamp(3.063rem, 0.491rem + 5.357vw, 5.313rem); /* min: 49px, max: 85px */
}
.header__container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  gap: 15px;
}
/* === Menu ===*/
.menu {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-column-gap: 0.9375rem;
     -moz-column-gap: 0.9375rem;
          column-gap: 0.9375rem;
  row-gap: clamp(2.5rem, 1.069rem + 6.107vw, 4rem); /* min: 40px, max: 64px */
}
.menu__welcome {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  row-gap: clamp(1rem, -1.286rem + 4.762vw, 3rem); /* min: 16px, max: 48px */
}
.menu__content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  row-gap: clamp(1.5rem, 0.546rem + 4.071vw, 2.5rem); /* min: 24px, max: 40px */
  height: 100%;
}
.menu__titles {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  row-gap: clamp(1rem, 0.523rem + 2.036vw, 1.5rem); /* min: 16px, max: 24px */
  -webkit-transition: all 0.4s;
  transition: all 0.4s;
}
.menu__subtitle {
  font-size: var(--fs-20-14);
  font-style: italic;
  font-weight: var(--fw-regular);
  line-height: var(--lh-big);
  color: var(--color-grey-500);
}
.menu__text {
  font-weight: var(--fw-regular);
  font-style: italic;
  font-size: var(--fs-20-14);
  line-height: var(--lh-big);
  color: var(--color-grey-500);
}
.menu__inner {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 1rem;
}
.menu__list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  row-gap: clamp(1rem, 0.046rem + 4.071vw, 2rem); /* min: 16px, max: 32px */
}
.menu__error {
  -ms-flex-item-align: center;
      align-self: center;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 0.5rem;
  color: var(--color-red-500);
}
.menu__error-icon {
  font-size: clamp(1.5rem, 1.142rem + 1.527vw, 1.875rem); /* min: 24px, max: 30px */
}
.menu__error-text {
  font-size: clamp(1.125rem, 0.767rem + 1.527vw, 1.5rem); /* min: 18px, max: 24px */
}

.achievement {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  row-gap: clamp(1rem, 0.046rem + 4.071vw, 2rem); /* min: 16px, max: 32px */
}
.achievement__body {
  background-color: var(--color-white);
  border-radius: clamp(0.75rem, 0.034rem + 3.054vw, 1.5rem); /* min: 12px, max: 24px */
  padding: clamp(2rem, 1.046rem + 4.071vw, 3rem); /* min: 32px, max: 48px */
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  text-align: center;
  row-gap: clamp(1rem, -0.431rem + 6.107vw, 2.5rem); /* min: 16px, max: 40px */
  -webkit-transition: all 0.4s;
  transition: all 0.4s;
}
.achievement__points {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  row-gap: 16px;
  -webkit-transition: all 0.4s;
  transition: all 0.4s;
}
.achievement__point-number {
  font-size: var(--fs-144-88);
}
.achievement__point-text {
  font-size: clamp(1.125rem, 0.767rem + 1.527vw, 1.5rem); /* min: 18px, max: 24px */
  color: var(--color-grey-500);
}
/* === Footer === */
.attribution {
  padding: 1.5625rem 0.9375rem 0.9375rem;
  font-size: 0.6875rem;
  text-align: center;
}
.attribution a {
  color: hsl(228, 45%, 44%);
}

/* === Media Queries === */
@media (width > 23.4375rem) {
  body {
    background-image: url("../images/pattern-background-tablet-light.svg");
  }
  body.dark-theme {
    background-image: url("../images/pattern-background-tablet-dark.svg");
  }
  .btn-option__icon {
    border-radius: 12px;
  }
}
@media (width > 48rem) {
  body {
    background-image: url("../images/pattern-background-desktop-light.svg");
    background-size: 100% 100%;
  }
  body.dark-theme {
    background-image: url("../images/pattern-background-desktop-dark.svg");
    background-size: 100% 100%;
  }
  body.dark-theme .switch-theme-btn__toggler::before {
    left: calc(100% - 1.5rem);
  }
  .switch-theme-btn {
    height: 1.75rem;
  }
  .switch-theme-btn__icon {
    font-size: 1.75rem;
  }
  .switch-theme-btn__toggler {
    width: 3rem;
    height: 1.75rem;
  }
  .switch-theme-btn__toggler::before {
    width: 1.25rem;
    height: 1.25rem;
  }
  .btn-option__icon {
    border-radius: 0.5rem;
  }
  .menu {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
  }
  .menu__header {
    -webkit-box-flex: 0;
        -ms-flex: 0 1 29.0625rem;
            flex: 0 1 29.0625rem;
  }
  .menu__content {
    row-gap: clamp(2.5rem, -8.929rem + 23.81vw, 12.5rem); /* min: 40px, max: 200px */
  }
  .menu__body {
    -webkit-box-flex: 0;
        -ms-flex: 0 1 35.25rem;
            flex: 0 1 35.25rem;
  }
  .menu__error-text {
    line-height: 1.5;
    font-weight: var(--fw-regular);
  }
  .achievement__point-text {
    line-height: var(--lh-big);
  }
}